%define modules ppp_generic.ko ppp_mppe.ko
%define moduledir kernel/drivers/net

%{kmod ppp 1.0.2 1}
Source0: kernel_ppp_mppe-%{version}-src.tgz
BuildRequires: kernel-sourcecode = %{_kversion}
%{kmod_dependencies}
%{kmod_desc}

%package smp
%{kmod_dependencies smp}
%{kmod_desc smp}

%package hugemem
%{kmod_dependencies hugemem}
%{kmod_desc hugemem}

%prep
%setup -n kernel_ppp_mppe-%{version}
./pre_build.sh %{_usrsrc}/linux-${_kversion} . . %{_kversion}
patch -p1 < patches/linux-2.6.2-pad.patch
patch -p1 < patches/02-ppp_generic.c.patch
patch -p1 < patches/03-ppp_mppe_compress.c.patch
patch -p1 < patches/04-ppp_mppe_compress.c_license.patch

%build
%{__rm} -rf %{buildroot}
echo -e "\nDriver version: %{version}\nKernel version: %{_kversion}\n"

make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir} SRC=%{kmod_kernelsrcdir} M=`pwd` clean
make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir} SRC=%{kmod_kernelsrcdir} M=`pwd` modules
install -d -m0755 %{buildroot}%{kmod_moduledir}/%{moduledir}
install -m0644 %{modules} %{buildroot}%{kmod_moduledir}/%{moduledir}

%if %{_with_smp}
make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir smp} SRC=%{kmod_kernelsrcdir smp} M=`pwd` clean
make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir smp} SRC=%{kmod_kernelsrcdir smp} M=`pwd` modules
install -d -m0755 %{buildroot}%{kmod_moduledir smp}/%{moduledir}
install -m0644 %{modules} %{buildroot}%{kmod_moduledir smp}/%{moduledir}
%endif

%if %{_with_hugemem}
make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir hugemem} SRC=%{kmod_kernelsrcdir hugemem} M=`pwd` clean
make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir hugemem} SRC=%{kmod_kernelsrcdir hugemem} M=`pwd` modules
install -d -m0755 %{buildroot}%{kmod_moduledir hugemem}/%{moduledir}
install -m0644 %{modules} %{buildroot}%{kmod_moduledir hugemem}/%{moduledir}
%endif

%{kmod_scripts}
%{kmod_scripts smp}
%{kmod_scripts hugemem}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{kmod_moduledir}/%{moduledir}

%if %{_with_smp}
%files smp
%defattr(-, root, root, -)
%{kmod_moduledir smp}/%{moduledir}
%endif

%if %{_with_hugemem}
%files hugemem
%defattr(-, root, root, -)
%{kmod_moduledir hugemem}/%{moduledir}
%endif

%changelog
* Fri Dec 01 2006 Shad L. Lords <slords@mail.com>
- Initial package.
